Package com.verisign.epp.codec.defReg

## Class EPPDefRegCheckResp

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPResponse
  - - com.verisign.epp.codec.defReg.EPPDefRegCheckResp

- All Implemented Interfaces:
    `EPPCodecComponent`, `EPPMessage`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPDefRegCheckResp
      extends EPPResponse

  Represents an EPPDefReg `<defReg:chkData>` response to a `EPPDefRegFwdCheckCmd`. When a `<check>` command has been processed successfully, the EPP `<resData>` element MUST contain a child `defReg:chkData>` element that identifies the defReg namespace. The `<defReg:chkData>` element contains one or more `defReg:cd>` elements that contain the following child elements:
  - A `<defReg:name>` element that contains the name of the queried defReg object. This element MUST contain an "avail" attribute whose value indicates object availability at the moment the `<check>` command was completed. A value of "1" or "true" means that the object is available. A value of "0" or "false" means that the object is not available. This element also MUST contain a "level" attribute whose value is either "premium" or "standard".
  - An OPTIONAL `<defReg:reason>` element that MAY be provided when an object is not available for provisioning. If present, this element contains server-specific text to help explain why the object is unavailable.
  See Also:
    `EPPDefRegCheckCmd`, `EPPDefRegCheckResult`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPResponse

      `ELM_EXTENSION, ELM_MESSAGE_QUEUE, ELM_MESSAGE_QUEUE_QDATE, ELM_RESPONSE_DATA, extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPDefRegCheckResp()` | `EPPDefRegFwdCheckResp` default constructor.
    `EPPDefRegCheckResp​(EPPTransId aTransId, EPPDefRegCheckResult aResult)` | `EPPDefRegFwdCheckResp` constructor that will set the result of an individual defReg.
    `EPPDefRegCheckResp​(EPPTransId aTransId, java.util.Vector someResults)` | `EPPDefRegFwdCheckResp` constructor that will set the result of multiple defRegs.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | Clone `EPPDefRegFwdCheckResp`.
    `protected void` | `doDecode​(org.w3c.dom.Element aElement)` | Decode the `EPPDefRegFwdCheckResp` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the `EPPDefRegFwdCheckResp` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | Compare an instance of `EPPDefRegFwdCheckResp` with this instance.
    `java.util.Vector` | `getCheckResults()` | Get the results of a `EPPDefRegFwdCheckResp` Response.
    `java.lang.String` | `getNamespace()` | Get the EPP command Namespace associated with `EPPDefRegFwdCheckResp`.
    `java.lang.String` | `getType()` | Get the EPP response type associated with `EPPDefRegFwdCheckResp`.
    `void` | `setCheckResults​(java.util.Vector someResults)` | Set the results of a `EPPDefRegFwdCheckResp` Response.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPResponse

      `addExtension, decode, encode, findDuplicateExtNamespaces, findExtNamespaces, findExtNamespaceSuffixes, findUnsupportedExtNamespaces, findUnsupportedExtNamespaceSuffixes, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPDefRegCheckResp

          public EPPDefRegCheckResp()

      `EPPDefRegFwdCheckResp` default constructor. It will set results attribute to an empty `Vector`.

    - #### EPPDefRegCheckResp

          public EPPDefRegCheckResp​(EPPTransId aTransId,
                                    EPPDefRegCheckResult aResult)

      `EPPDefRegFwdCheckResp` constructor that will set the result of an individual defReg.
      Parameters:
        `aTransId` - Transaction Id associated with response.
        `aResult` - EPPDefRegCheckResult results.

    - #### EPPDefRegCheckResp

          public EPPDefRegCheckResp​(EPPTransId aTransId,
                                    java.util.Vector someResults)

      `EPPDefRegFwdCheckResp` constructor that will set the result of multiple defRegs.
      Parameters:
        `aTransId` - Transaction Id associated with response.
        `someResults` - Vector of EPPDefRegFwdCheckResult instances.

  - ### Method Detail

    - #### getType

          public java.lang.String getType()

      Get the EPP response type associated with `EPPDefRegFwdCheckResp`.
      Overrides:
        `getType` in class `EPPResponse`
      Returns:
        EPPDefRegFwdCheckResp.ELM_NAME

    - #### getNamespace

          public java.lang.String getNamespace()

      Get the EPP command Namespace associated with `EPPDefRegFwdCheckResp`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Overrides:
        `getNamespace` in class `EPPResponse`
      Returns:
        `EPPDefRegFwdMapFactory.NS`

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Compare an instance of `EPPDefRegFwdCheckResp` with this instance.
      Overrides:
        `equals` in class `EPPResponse`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        DOCUMENT ME!

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPDefRegFwdCheckResp`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPResponse`
      Returns:
        clone of `EPPDefRegFwdCheckResp`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPResponse`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### setCheckResults

          public void setCheckResults​(java.util.Vector someResults)

      Set the results of a `EPPDefRegFwdCheckResp` Response. There is one `EPPDefRegFwdCheckResult` instance in `someResults` for each defReg requested in the `EPPDefRegFwdCheckCmd` Command.
      Parameters:
        `someResults` - Vector of `EPPDefRegFwdCheckResult` instances.

    - #### getCheckResults

          public java.util.Vector getCheckResults()

      Get the results of a `EPPDefRegFwdCheckResp` Response. There is one `EPPDefRegFwdCheckResult` instance in `someResults` for each defReg requested in the `EPPDefRegFwdCheckResult` Command.
      Returns:
        Vector of `EPPDefRegFwdCheckResult` instances.

    - #### doEncode

          protected org.w3c.dom.Element doEncode​(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPDefRegFwdCheckResp` instance.
      Overrides:
        `doEncode` in class `EPPResponse`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPDefRegFwdCheckResp` instance. defReg
      Throws:
        `EPPEncodeException` - Unable to encode `EPPDefRegFwdCheckResp` instance.

    - #### doDecode

          protected void doDecode​(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPDefRegFwdCheckResp` attributes from the aElement DOM Element tree.
      Overrides:
        `doDecode` in class `EPPResponse`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPDefRegFwdCheckResp` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement